summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 52c813f)
raw | patch | inline | side by side (parent: 52c813f)
author | Christian Couder <chriscool@tuxfamily.org> | |
Mon, 26 Mar 2007 04:14:40 +0000 (06:14 +0200) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Mon, 26 Mar 2007 06:14:06 +0000 (23:14 -0700) |
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-bisect.sh | patch | blob | history |
diff --git a/git-bisect.sh b/git-bisect.sh
index 936b4a4b835e51410ccfbb37f4205accbade4422..fda1712a085fa9271ea1a8e0e581c5d4c6801969 100755 (executable)
--- a/git-bisect.sh
+++ b/git-bisect.sh
else
branch=master
fi ;;
- 1) test -f "$GIT_DIR/refs/heads/$1" || {
+ 1) git-show-ref --verify --quiet -- "refs/heads/$1" || {
echo >&2 "$1 does not seem to be a valid branch"
exit 1
}